/*
 *  OGLTestView.h
 *  OpenGLHIView
 *
 *  Created by Arne Scheffler on 8/19/06.
 *  Copyright 2006 Arne Scheffler. All rights reserved.
 *
 */

#include "OpenGLHIView.h"

class OGLTestView : public OpenGLHIView
{
public:
	static void RegisterClass ();

private:
	static OSStatus Construct (HIObjectRef inObjectRef, TObject** outObject);
	ControlKind GetKind ();

protected:
	OGLTestView (HIViewRef inView);
	~OGLTestView ();

	void DrawOpenGL ();
	void SetupOpenGL ();
	void OpenGLBoundsChanged ();


	OSStatus ControlHit (ControlPartCode inPart, UInt32 inModifiers);
	ControlPartCode	HitTest (const HIPoint& inWhere);
	void Draw (RgnHandle inLimitRgn, CGContextRef inContext);
private:
	float sinus, sinus2;
	float add1, add2;
	float mul1, mul2;
	EventLoopTimerRef timer;
public:
	void onTimer ();
};
